Ubuntu

virtualbox-guest-dkms 4.1.16-dfsg-2: virtualbox-guest kernel module failed to build [error: implicit declaration of function ‘do_mmap’]

Reported by Lou on 2012-06-21
This bug affects 317 people
Affects Status Importance Assigned to Milestone
virtualbox (Ubuntu)
High
Unassigned

Bug Description

VB guest additions 4.1.18 returns error that linux-headers 3.5.0.1 generic are not found....dkms cannot install

ProblemType: Package
DistroRelease: Ubuntu 12.10
Package: virtualbox-guest-dkms 4.1.16-dfsg-2
ProcVersionSignature: Ubuntu 3.5.0-1.1-generic 3.5.0-rc3
Uname: Linux 3.5.0-1-generic x86_64
ApportVersion: 2.2.5-0ubuntu1
Architecture: amd64
DKMSKernelVersion: 3.5.0-1-generic
Date: Thu Jun 21 13:26:02 2012
PackageArchitecture: all
PackageVersion: 4.1.16-dfsg-2
SourcePackage: virtualbox
Title: virtualbox-guest-dkms 4.1.16-dfsg-2: virtualbox-guest kernel module failed to build
UpgradeStatus: Upgraded to quantal on 2012-06-09 (11 days ago)
VirtualBox.ModInfo:

Lou (louc) wrote :
tags: removed: need-duplicate-check
Lou (louc) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in virtualbox (Ubuntu):
status: New → Confirmed
summary: virtualbox-guest-dkms 4.1.16-dfsg-2: virtualbox-guest kernel module
- failed to build
+ failed to build [error: implicit declaration of function ‘do_mmap’]
useResa (rdrijsen) wrote :

Situation is still present in the 4.1.18 version of VirtualBox and the latest version of the kernel.
$ uname -r
3.5.0-2-generic

Error reported when installing the guest additions:
Building the VirtualBox Guest Additions kernel modules
The headers for the current running kernel were not found. If the following
module compilation fails then this could be the reason.

Building the main Guest Additions module ...fail!
(Look at /var/log/vboxadd-install.log to find out what went wrong)
Doing non-kernel setup of the Guest Additions ...done.
Installing the Window System drivers
Installing X.Org Server 1.11 modules ...done.
Setting up the Window System to use the Guest Additions ...done.
You may need to restart the hal service and the Window System (or just restart
the guest system) to enable the Guest Additions.

Installing graphics libraries and desktop services components ...done.

Attached /var/log/vboxadd-install.log which still indicates:
/tmp/vbox.0/r0drv/linux/memobj-r0drv-linux.c:1150:9: error: implicit declaration of function ‘do_mmap’ [-Werror=implicit-function-declaration]

useResa (rdrijsen) wrote :

Same error message appears with the latest kernel version (3.5.0-3)

Christian Hilberg (hilberg) wrote :

Still persisting for me with kernel 3.5.0-4 and VBox 4.1.18.

useResa (rdrijsen) wrote :

No change with kernel 3.5.0-5 and VBox 4.1.18

Try with images from virtualbox site, section downloads

Christian Hilberg (hilberg) wrote :

Sorry, still no go - build inside VBox 4.1.18-78361~Ubuntu~lucid from virtualbox.org with kernel 3.5.0-6 fails for the very same reason as it did before. This was to be expected since it is a different VBox build, but the same VBox release as I had before from debfx. I gave it a try nonetheless, just to be sure.

Paddy Landau (paddy-landau) wrote :

Still with 3.5.0-6-generic.

This hinders those of us trying to document or test the system (e.g. Ubuntu Manual). It is important to fix this.

Christian Hilberg (hilberg) wrote :

The fix for this needs to be done in the VBox guest modules code. Kernels 3.5 and up do no longer export do_mmap() as public symbol, and I doubt they ever will. do_mmap() has been used in the gest modules code in a problematic way (as pointed out in http://lkml.org/lkml/2012/6/4/62), and the fix for this won't be easy or quick, if I understood the LKML poster right. So it won't be fixed in a future kernel release but will need to be fixed in a future VBox (guest modules) release.

useResa (rdrijsen) wrote :

Although I also experienced the same issue again with kernel 3.5.0-6, something has changed.
Before this kernel I did not have full screen capabilities, currently I have. Even after reboots.

rooijan (rrossouw) wrote :

For me I got it to work as follow after reading this link: https://www.virtualbox.org/ticket/10709

My error from /var/log/vboxadd-install.log
make[2]: *** [/tmp/vbox.0/r0drv/linux/memobj-r0drv-linux.o] Error 1
make[1]: *** [_module_/tmp/vbox.0] Error 2
make: *** [vboxguest] Error 2

I copied the source at this link: https://www.virtualbox.org/attachment/ticket/10709/memobj-r0drv-linux.c and removed line numbers.

Then replaced the existing source:
root@u12:/opt/VBoxGuestAdditions-4.1.18/src/vboxguest-4.1.18/vboxguest/r0drv/linux# mv ~/memobj-r0drv-linux.c ./memobj-r0drv-linux.c

Then reran vboxadd:
root@u12:/opt/VBoxGuestAdditions-4.1.18/src/vboxguest-4.1.18/vboxguest/r0drv/linux# /etc/init.d/vboxadd setup

Removing existing VirtualBox DKMS kernel modules ...done.
Removing existing VirtualBox non-DKMS kernel modules ...done.
Building the VirtualBox Guest Additions kernel modules
The headers for the current running kernel were not found. If the following
module compilation fails then this could be the reason.

Building the main Guest Additions module ...done.
Building the shared folder support module ...done.
Building the OpenGL support module ...done.
Doing non-kernel setup of the Guest Additions ...done.
Starting the VirtualBox Guest Additions ...done.

Michele (michele.m) wrote :

In precise, updating to virtualbox 4.1.20 (virtualbox-4.1_4.1.20-80170~Ubuntu~precise) installed through the oracle repository (https://www.virtualbox.org/wiki/Linux_Downloads) for me solves the problem.

Jimmy Merrild Krag (beruic) wrote :

I installed dkms and virtualbox-guest-dkms. Seems to do the most.

Crowler (crowler-gmail) wrote :

Here is the solution...
https://www.virtualbox.org/ticket/10909
The upcoming 4.2.2 release of the guest-additions and VirtualBox will contain these fixes.

StephanBeal (sgbeal) wrote :

To get vbox working (meaning "running my existing VMs) in a clean 12.10 installation (previous OS was 12.04) i had to do the following (as root):

# apt-get install build-essential linux-headers-$(uname -r)
# cd /usr/src/virtualbox-4.1.18/vboxdrv
# make
# modprobe vboxdrv

StephanBeal (sgbeal) wrote :

Re. #18: but after that networking no longer works in my VMs. Aarrgghh...

affects Ubuntu version 12.04 and version 12.10 64 bit.. same errors... using Oracle Virtual Box downloads for 64bit for each of these Ubuntu versions.. total reinstall / uninstall trying to get a Virtual Box to install but they have the same error

no longer affects: getting-started-with-ubuntu-12.04 (Ubuntu)

here is related bug on 12.10.. installed Virtual Box Manager and setup XP machine.. and here is the error report...

ailed to open a session for the virtual machine LRBJR-XP-64.
The virtual machine 'LRBJR-XP-64' has terminated unexpectedly during startup with exit code 1.

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/etc/init.d/vboxdrv setup'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$ sudo /etc/init.d/vboxdrv setup
[sudo] password for lrbjr-dv7-64:
 * Stopping VirtualBox kernel modules [ OK ]
 * Uninstalling old VirtualBox DKMS kernel modules [ OK ]
 * Trying to register the VirtualBox kernel modules using DKMS Error! Your kernel headers for kernel 3.5.0-21-generic cannot be found.
Please install the linux-headers-3.5.0-21-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located

 * Failed, trying without DKMS
 * Recompiling VirtualBox kernel modules
 * Look at /var/log/vbox-install.log to find out what went wrong
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$

I have installed dkms and run dkms in terminal and still errors remain the same

tried to display /var/log/vbox-install.log and nothing comes up..

One more note.. I removed 12.10 and installed 12.04.. and installed the corresponding Virtual Box from Oracle... along with the extension package..and then setup the XP machine..and same response... I have been running 32 bit Ubuntu on 4 other machines with the associated virtual machine and they work fine.. it is the 64 bit version that has a universal problem from the first post here and continues through all more recent versions of Ubuntu 64 bit.

I have reinstalled 12.10 as Virtual Box is not working in any 64 bit distro ..waiting for fix.. I need the VM as I have one Microsoft program that does not work on Ubuntu or cannot be run with Wine.

Here is the Fix.. have Virtual Box installing XP right now.....below are the commands to enter and the responses to the sudo commands... I am not experienced programming but know enough to wiggle through sometimes... This is the solution to bug #1016165

Step 1
 sudo apt-get install build-essential linux-headers-`uname -r`
[sudo] password for lrbjr-dv7-64:

Resulting Program Instructions completed by system - this is for your info.. no entry required... these are the responses to the sudo input above...
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version.
build-essential set to manually installed.
The following packages were automatically installed and are no longer required:
  libasprintf0c2:i386 libgomp1:i386
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  linux-headers-3.5.0-22 linux-headers-3.5.0-22-generic
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 13.1 MB of archives.
After this operation, 69.9 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main linux-headers-3.5.0-22 all 3.5.0-22.34 [12.1 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main linux-headers-3.5.0-22-generic amd64 3.5.0-22.34 [965 kB]
Fetched 13.1 MB in 1min 31s (142 kB/s)
Selecting previously unselected package linux-headers-3.5.0-22.
(Reading database ... 173444 files and directories currently installed.)
Unpacking linux-headers-3.5.0-22 (from .../linux-headers-3.5.0-22_3.5.0-22.34_all.deb) ...
Selecting previously unselected package linux-headers-3.5.0-22-generic.
Unpacking linux-headers-3.5.0-22-generic (from .../linux-headers-3.5.0-22-generic_3.5.0-22.34_amd64.deb) ...
Setting up linux-headers-3.5.0-22 (3.5.0-22.34) ...
Setting up linux-headers-3.5.0-22-generic (3.5.0-22.34) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.5.0-22-generic /boot/vmlinuz-3.5.0-22-generic

Step 2 - correcting 12.10 and I am sure other previous versions.. the sudo command below can only be run after the updating the headers in step 1.
sudo /etc/init.d/vboxdrv setup

Resulting Program Instructions completed by system - this is for your info.. no entry required... these are the responses to the sudo input above...
 * Stopping VirtualBox kernel modules [ OK ]
 * Uninstalling old VirtualBox DKMS kernel modules [ OK ]
 * Trying to register the VirtualBox kernel modules using DKMS [ OK ]
 * Starting VirtualBox kernel modules [ OK ]

hi Guys!

I've placed an upgrade rquest a few days ago bug1108097

If you take a look at the associated Debian bug you'll see there not very much another choice currently than to to use the package that is provided from virtualbox.org, currently it's version 4.2.6 Especially if you need to work with your VM's.

The other option could be to install an older mainline kernel... something like 3.2.nn

I did not want to duplicate this bug to the one mentioned above, since this would cut the no. of affected users & the bug-heat to my opinion.

Apologies that I have no better news, but it's better "than sitting between 2 chairs".

If you read my posts on Launchpad... I posted the fix...
bob

*LAWRENCE R BELLMORE JR, BSME MBA JD, MANAGING DIRECTOR**
**TRILLION CAPITAL, LLC dba**TRILLION CAPITAL*
INVESTMENT BANKING & ASSET MANAGEMENT
COMMERCIAL & RESIDENTIAL FINANCE
1000 COMMERCE PARK DRIVE, SUITE 420
WILLIAMSPORT, PA 17701
(cell) 570-337-8773(office) 484-584-5958(cell #2) 484-584-5957 (fax)
412-774-2857
*http://www.trillioncapital.us/*

On 01/31/2013 02:28 PM, Flames_in_Paradise wrote:
> hi Guys!
>
> I've placed an upgrade rquest a few days ago bug1108097
>
> If you take a look at the associated Debian bug you'll see there not
> very much another choice currently than to to use the package that is
> provided from virtualbox.org, currently it's version 4.2.6 Especially if
> you need to work with your VM's.
>
> The other option could be to install an older mainline kernel...
> something like 3.2.nn
>
> I did not want to duplicate this bug to the one mentioned above, since
> this would cut the no. of affected users & the bug-heat to my opinion.
>
> Apologies that I have no better news, but it's better "than sitting
> between 2 chairs".
>

Just upgraded both 32 and 64 bit ubuntu. 32 bit is 12.04 and 64 bit is 12.10. Both oracle virtual boxes do not work .. have the same error message... as I am listing below ..except referencing the new updates..

here is related bug on 12.10.. installed Virtual Box Manager and setup XP machine.. and here is the error report...

ailed to open a session for the virtual machine LRBJR-XP-64.
The virtual machine 'LRBJR-XP-64' has terminated unexpectedly during startup with exit code 1.

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/etc/init.d/vboxdrv setup'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$ sudo /etc/init.d/vboxdrv setup
[sudo] password for lrbjr-dv7-64:
 * Stopping VirtualBox kernel modules [ OK ]
 * Uninstalling old VirtualBox DKMS kernel modules [ OK ]
 * Trying to register the VirtualBox kernel modules using DKMS Error! Your kernel headers for kernel 3.5.0-21-generic cannot be found.
Please install the linux-headers-3.5.0-21-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located

 * Failed, trying without DKMS
 * Recompiling VirtualBox kernel modules
 * Look at /var/log/vbox-install.log to find out what went wrong
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$

the fix is listed above.. I am going to apply to both computers .. if there is correction or failure, I will note... but I believe what I posed above as the fix will resolve this again without reinstalling the virtualbox..

the Fix worked again after the upgrade ...
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$ sudo apt-get install build-essential linux-headers-`uname -r`
[sudo] password for lrbjr-dv7-64:
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version.
The following packages were automatically installed and are no longer required:
  libasprintf0c2:i386 libgomp1:i386
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  linux-headers-3.5.0-23 linux-headers-3.5.0-23-generic
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 13.1 MB of archives.
After this operation, 69.9 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main linux-headers-3.5.0-23 all 3.5.0-23.35 [12.1 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main linux-headers-3.5.0-23-generic amd64 3.5.0-23.35 [963 kB]
Fetched 13.1 MB in 1min 29s (145 kB/s)
Selecting previously unselected package linux-headers-3.5.0-23.
(Reading database ... 200411 files and directories currently installed.)
Unpacking linux-headers-3.5.0-23 (from .../linux-headers-3.5.0-23_3.5.0-23.35_all.deb) ...
Selecting previously unselected package linux-headers-3.5.0-23-generic.
Unpacking linux-headers-3.5.0-23-generic (from .../linux-headers-3.5.0-23-generic_3.5.0-23.35_amd64.deb) ...
Setting up linux-headers-3.5.0-23 (3.5.0-23.35) ...
Setting up linux-headers-3.5.0-23-generic (3.5.0-23.35) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.5.0-23-generic /boot/vmlinuz-3.5.0-23-generic
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$ sudo /etc/init.d/vboxdrv setup
 * Stopping VirtualBox kernel modules [ OK ]
 * Uninstalling old VirtualBox DKMS kernel modules Error! There are no instances of module: vboxhost
4.2.6 located in the DKMS tree.
                                                                                                                              [ OK ]
 * Trying to register the VirtualBox kernel modules using DKMS [ OK ]
 * Starting VirtualBox kernel modules [ OK ]
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$

Still have to get W7 64 bit to install.. having another error issue.. will post later today or this weekend ..

12.04 only required the following.. sudo /etc/init.d/vboxdrv setup
to upgrade the virtual box.. It did not need to recompile the headers

Thanks for all your support..

For 12.10 - need to do both steps. For 12.04 need only to do second step... ignore my system names...showing for purposes as placeholders for your computer name..

Step 1
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$ sudo apt-get install build-essential linux-headers-`uname -r`
[sudo] password for lrbjr-dv7-64:
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version.
The following packages were automatically installed and are no longer required:
  libasprintf0c2:i386 libgomp1:i386
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  linux-headers-3.5.0-23 linux-headers-3.5.0-23-generic
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 13.1 MB of archives.
After this operation, 69.9 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main linux-headers-3.5.0-23 all 3.5.0-23.35 [12.1 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main linux-headers-3.5.0-23-generic amd64 3.5.0-23.35 [963 kB]
Fetched 13.1 MB in 1min 29s (145 kB/s)
Selecting previously unselected package linux-headers-3.5.0-23.
(Reading database ... 200411 files and directories currently installed.)
Unpacking linux-headers-3.5.0-23 (from .../linux-headers-3.5.0-23_3.5.0-23.35_all.deb) ...
Selecting previously unselected package linux-headers-3.5.0-23-generic.
Unpacking linux-headers-3.5.0-23-generic (from .../linux-headers-3.5.0-23-generic_3.5.0-23.35_amd64.deb) ...
Setting up linux-headers-3.5.0-23 (3.5.0-23.35) ...
Setting up linux-headers-3.5.0-23-generic (3.5.0-23.35) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.5.0-23-generic /boot/vmlinuz-3.5.0-23-generic

Step 2
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$ sudo /etc/init.d/vboxdrv setup
 * Stopping VirtualBox kernel modules [ OK ]
 * Uninstalling old VirtualBox DKMS kernel modules Error! There are no instances of module: vboxhost
4.2.6 located in the DKMS tree.
                                                                                                                              [ OK ]
 * Trying to register the VirtualBox kernel modules using DKMS [ OK ]
 * Starting VirtualBox kernel modules [ OK ]
lrbjr-dv7-64@lrbjrdv764-HP-Pavilion-dv7-Notebook-PC:~$ IT WORKS...

Bob

re: yr comment#30

In Linux this is called "workaround"

A "fix" would be to have a reliable version available from packagemanagment. And the common way for that is asking the devs to upgrade the software-version, if... this doesn't happen from its own powers.

tags: added: metabug
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1016165

tags: added: iso-testing

This issue is still not fixed ... just had to do what I wrote in #36 above after the latest upgrade to 12.04

See Debian-bugs:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=691148

This bug would only get fixed if you request a removal of the package from the debian point of view.

Allen Blanco (blancorallen) wrote :

4.2.2 works for me, on 12.04. just reinstall

I use both 12.04 (32bit) and 12.10 (64 bit).
I believe you maybe correct... I didn't notice the last up grade. The
one before that I had to do as I noted in my post in Launchpad... will
check.. thanks...
Bob

*LAWRENCE R BELLMORE JR, BSME MBA JD, MANAGING DIRECTOR**
**TRILLION CAPITAL, LLC dba**TRILLION CAPITAL*
INVESTMENT BANKING & ASSET MANAGEMENT
COMMERCIAL & RESIDENTIAL FINANCE
701 FIRST ST., EXECUTIVE OFFICES
WILLIAMSPORT, PA 17701
(cell) 570-337-8773(office) 484-584-5958(office) 412-250-7963 (fax)
412-774-2857
*http://www.trillioncapital.us/ *(Will be active 2/11/13)

On 03/05/2013 11:57 AM, Allen Blanco wrote:
> 4.2.2 works for me, on 12.04. just reinstall
>

Changed in virtualbox (Ubuntu):
importance: Undecided → High

Ubuntu is back at it again.. had to do the work around again so I can run my virtual machines...

Marcos Roriz (marcosrorizinf) wrote :

Guys, the "official fix" for 12.04 is to run vboxdrv setup as root?

Kees de Jong (keesdejong) wrote :

This works in Debian just fine. Just import their quality stuff.

webmind (webmind) wrote :

I get this problem on a fresh install of precise/LTS with the 3.5.0-27-generic kernel for 64bit and virtualbox 4.1.12

Rodolfo Roman (rodolfo-roman) wrote :

I have workaround problem by downloading and installing Vbox from the DEB file instead of installing from the console. Version downloaded was "virtualbox-4.2_4.2.12-84980_Ubuntu_Precise_amd64.deb".

Mike Miller (akf-mike-nw2) wrote :

On 4/17/2013 11:55 AM, Rodolfo Roman wrote:
> I have workaround problem by downloading and installing Vbox from the
> DEB file instead of installing from the console. Version downloaded
> was "virtualbox-4.2_4.2.12-84980_Ubuntu_Precise_amd64.deb".
>
Ok, so can't you just go in to ubuntu software manager [if you installed
it which it runs fine on server after install] and go to History and
remove it there or could do a sudo apt-get [--purge] remove with purge
it removes all configs as well as the pack with no purge it remoes the
package, BUT leaves the config files in place.

apt-get --purge remove {package-name}

If not sure what the package is named try to search using apt-cache as
in the below examples. Once found then run apt-get --purge remove with
the package name [apt-cache uses package name ONLY [not the .deb part]]

Search for package or package description

Some times you don't know package name but aware of some keywords to
search the package. Once you got package name you can install it using
apt-get -i {package-name} command:

apt-cache search"Text-to-search"
apt-cache search"httpd"
apt-cache search"web server"
apt-cache search"web server"|grep something

Source:
http://www.cyberciti.biz/tips/linux-debian-package-management-cheat-sheet.html
[Gotta LOVE GOOGLE FOUND VIA SEARCH: apt-get remove locally installed
package]!

latest update fixed the issue..

*LAWRENCE R BELLMORE JR, BSME MBA JD, MANAGING DIRECTOR**
**TRILLION CAPITAL, LLC dba**TRILLION CAPITAL*
INVESTMENT BANKING & ASSET MANAGEMENT
COMMERCIAL,MULTIFAMILY & DEVELOPMENTFINANCE
[/For Sophisticated and Accredited Investors & Business Owners Only/]
701 First St., Executive Offices, Williamsport, PA 17701
(cell) 570-337-8773(office) 484-584-5958(office) 412-250-7963
Website:*http://www.trillioncapital.us/*(fax) 412-774-2857

_*NOTE: I Soon*____*will be encrypting my business email and creating a
Public Encryption Key for my NEW BUSINESS*____*EMAIL ADDRESSES Listed
Below:*_
_*I will be terminating my GMAIL addresses by 6/30/13 *_.
<email address hidden> <mailto:<email address hidden>>
(Direct)
    <email address hidden>
<mailto:<email address hidden>> (Company)
    <email address hidden> <mailto:<email address hidden>> (Web
Inquiries)_*

*_Please note your files for these changes. Additional announcements
will be sent out as we update our mail accounts this month. I thank you
and I apologize for the transitional issues. If you have questions you
can call my cell.

Bob

On 04/17/2013 01:12 PM, Mike Miller wrote:
> On 4/17/2013 11:55 AM, Rodolfo Roman wrote:
>> I have workaround problem by downloading and installing Vbox from the
>> DEB file instead of installing from the console. Version downloaded
>> was "virtualbox-4.2_4.2.12-84980_Ubuntu_Precise_amd64.deb".
>>
> Ok, so can't you just go in to ubuntu software manager [if you installed
> it which it runs fine on server after install] and go to History and
> remove it there or could do a sudo apt-get [--purge] remove with purge
> it removes all configs as well as the pack with no purge it remoes the
> package, BUT leaves the config files in place.
>
> apt-get --purge remove {package-name}
>
> If not sure what the package is named try to search using apt-cache as
> in the below examples. Once found then run apt-get --purge remove with
> the package name [apt-cache uses package name ONLY [not the .deb part]]
>
> Search for package or package description
>
> Some times you don't know package name but aware of some keywords to
> search the package. Once you got package name you can install it using
> apt-get -i {package-name} command:
>
>
> apt-cache search"Text-to-search"
> apt-cache search"httpd"
> apt-cache search"web server"
> apt-cache search"web server"|grep something
>
> Source:
> http://www.cyberciti.biz/tips/linux-debian-package-management-cheat-sheet.html
> [Gotta LOVE GOOGLE FOUND VIA SEARCH: apt-get remove locally installed
> package]!
>

PGx (pgx) wrote :

Got the problem on 12.04 with linux-headers-3.5.0-26-generic and virtualbox 4.1.12 (also failed with linux-headers-3.5.0-27-generic).
Worked with the .deb provided on vbox website.

I can also confirm that the deb from the vboxwebsite is working but not with the older version which is provided in the repos.

on 12.04.0 and 12.04.1 its running fine (which is coming with Linux 3.2) on 12.04.2 its failing which is coming with Linux 3.5 by default.

Thomas Dreibholz (dreibh) wrote :

I can also confirm the problem for Ubuntu 12.04.2 LTS. The previous versions of 12.04 LTS worked fine.

Hans Klein (kleinh17) wrote :

Not sure I understand the "fix" correctly.... I run virtual box on a Windows 7 host; Ubuntu 12.04TLS is the guest OS. The problem are the guest additions, but the only .deb I could find is the full virtual box. Is that really what I am supposed to install in my Ubuntu guest?
Thx. HK.

@ Hans Klein

The guest-additions are installed from within the guest system, so u don't need a .deb-file.

Since u are on windows you run the package from the manufacturer and need the same version of guest additions (4.2.11 ?). Yes they are included in the main package.

Exuse me, this is not exactly a help forum here, it' meant for bug-reporting & -fixing as a platform. But u could (on the assumption that u are a german native) ask the question on the german ubuntuusers.de - Forum.

lorenz (lherm) wrote :

virtualbox-guest-dkms
    version 4.1.12-dfsg-2unbuntu0.3
linux-headers-3.8.0-29
    version 3.8.0-29.42~precise1
linux-headers-3.8.0-29-generic
    version 3.8.0-29.42~precise1
linux-headers-3.8.0-29-generic-lts-raring
    version 3.8.0-29.42
linux-libc-dev
    version 3.2.1-52.78
libsdl1.2debian
    version 1.2.14-6.4ubuntu3

dkms
    version 2.2.0.3-1ubuntu3.1

This on a fresh install of Ubuntu 12.04.3 with upgrades,a new install of synaptic and various virtual machines with their front ends. I doubt that it is relevant but I did reuse my old home partition on the new install.

This fresh install is the result of a previous complete removal of dkms and reinstall causing the system to become unstable to the point of being unusable.

There are no other versions of linux-headers installed AFAIK

Trying to open a Debian 7.1 VM that was previously launchable yields:

Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/etc/init.d/vboxdrv setup'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

Failed to open a session for the virtual machine Debian7.1-64.
The virtual machine 'Debian7.1-64' has terminated unexpectedly during startup with exit code 1.

Details:
Result Code: NS_ERROR_FAILURE (0x80004005)
Component: Machine
Interface: IMachine {5eaa9319-62fc-4b0a-843c-0cb1940f8a91}

At the commandline typing: 'sudo /etc/init.d/vboxdrv setup'
Yields: 'command not found'

Searching in Synaptic for packages with 'vbox' in their name or description does not yield anything useful, ie. some packages for ISDN and libbox-dev.

Hope that helps!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.